#!/bin/bash
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH

clear;

# VAR 	******************************************************************
vVersion='local python';
vAction=$1;
# Logo 	******************************************************************
CopyrightLogo="
                DS Video Douban Patch $vVersion                                                 
                                                                            
==========================================================================";
echo "$CopyrightLogo";

# Function List	*******************************************************************************
function install()
{
	cd /tmp/;
	wget https://bootstrap.pypa.io/ez_setup.py -O - | python && easy_install pip && pip install requests && pip install bs4 && pip install lxml
	
	mv /var/packages/VideoStation/target/plugins/syno_themoviedb/search.php /var/packages/VideoStation/target/plugins/syno_themoviedb/search.php.back
	mv /var/packages/VideoStation/target/plugins/syno_synovideodb/search.php /var/packages/VideoStation/target/plugins/syno_synovideodb/search.php.back
	mv /var/packages/VideoStation/target/ui/videostation2.js /var/packages/VideoStation/target/ui/videostation2.js.back

	wget --no-check-certificate https://coding.net/u/sanylee/p/self/git/raw/master/video_station_douban_patch.tar -O video_station_douban_patch.tar;
	tar -xvf video_station_douban_patch.tar

	\cp -rfa ./syno_themoviedb /var/packages/VideoStation/target/plugins/;
	\cp -rfa ./syno_synovideodb /var/packages/VideoStation/target/plugins/;
	\cp -rfa ./ui /var/packages/VideoStation/target/;

	chmod 0755 /var/packages/VideoStation/target/plugins/syno_themoviedb/search.php
	chmod 0755 /var/packages/VideoStation/target/plugins/syno_themoviedb/list.py
	chmod 0755 /var/packages/VideoStation/target/plugins/syno_themoviedb/getcookie.py
	chmod 0755 /var/packages/VideoStation/target/plugins/syno_themoviedb/data.py
	chmod 0755 /var/packages/VideoStation/target/plugins/syno_synovideodb/search.php
	chmod 0755 /var/packages/VideoStation/target/ui/videostation2.js

	chown VideoStation:VideoStation /var/packages/VideoStation/target/plugins/syno_themoviedb/search.php
	chown VideoStation:VideoStation /var/packages/VideoStation/target/plugins/syno_synovideodb/search.php
	chown VideoStation:VideoStation /var/packages/VideoStation/target/ui/videostation2.js

	cd -
	rm -rf dsmpatch.sh

	echo '==========================================================================';
	echo "Congratulations, DS Video Douban Patch $vVersion install completed.";
	echo '==========================================================================';
}

function uninstall()
{	
	rm /var/packages/VideoStation/target/plugins/syno_themoviedb/list.py
	rm /var/packages/VideoStation/target/plugins/syno_themoviedb/getcookie.py
	rm /var/packages/VideoStation/target/plugins/syno_themoviedb/getcookie.pyc
	rm /var/packages/VideoStation/target/plugins/syno_themoviedb/data.py
	
	mv -f /var/packages/VideoStation/target/plugins/syno_themoviedb/search.php.back /var/packages/VideoStation/target/plugins/syno_themoviedb/search.php
	mv -f /var/packages/VideoStation/target/plugins/syno_synovideodb/search.php.back /var/packages/VideoStation/target/plugins/syno_synovideodb/search.php
	mv -f /var/packages/VideoStation/target/ui/videostation2.js.back /var/packages/VideoStation/target/ui/videostation2.js
	
	chmod 0755 /var/packages/VideoStation/target/plugins/syno_themoviedb/search.php
	chmod 0755 /var/packages/VideoStation/target/plugins/syno_synovideodb/search.php
	chmod 0755 /var/packages/VideoStation/target/ui/videostation2.js

	chown VideoStation:VideoStation /var/packages/VideoStation/target/plugins/syno_themoviedb/search.php
	chown VideoStation:VideoStation /var/packages/VideoStation/target/plugins/syno_synovideodb/search.php
	chown VideoStation:VideoStation /var/packages/VideoStation/target/ui/videostation2.js
	
	rm -rf dsmpatch.sh
	
	echo 'Congratulations, DS Video Douban Patch uninstall completed.';
	echo '==========================================================================';
}

# SHELL 	******************************************************************
if [ "$vAction" == 'install' ]; then
	if [ ! -f "/var/packages/VideoStation/target/plugins/syno_themoviedb/search.php.back" ]; then
		install;
	else
		echo 'Sorry, you have already installed DS Video Douban Patch.';
		echo '==========================================================================';
		rm -rf dsmpatch.sh
		exit 1;
	fi;
elif [ "$vAction" == 'uninstall' ]; then
	if [ ! -f "/var/packages/VideoStation/target/plugins/syno_themoviedb/search.php.back" ]; then
		echo 'Sorry, you have not installed DS Video Douban Patch yet.';
		echo '==========================================================================';
		rm -rf dsmpatch.sh
		exit 1;
	else
		uninstall;
	fi;
else
	echo 'Sorry, Failed to install DS Video Douban Patch.';
	echo '==========================================================================';
	rm -rf dsmpatch.sh
	exit 1
fi;
